Bug 1127212 - Review Request: python-oslo-utils - OpenStack Oslo Utility library
Summary: Review Request: python-oslo-utils - OpenStack Oslo Utility library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
Kashyap Chamarthy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 12:03 UTC by Alan Pevec
Modified: 2014-08-13 20:39 UTC (History)
4 users (show)

Fixed In Version: python-oslo-utils-0.1.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-13 20:39:12 UTC
kchamart: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Alan Pevec 2014-08-06 12:03:09 UTC
Spec URL: https://apevec.fedorapeople.org/python-oslo-utils.spec
SRPM URL: https://apevec.fedorapeople.org/python-oslo-utils-0.1.1-1.fc22.src.rpm
Description: The OpenStack Oslo Utility library.
* Documentation: http://docs.openstack.org/developer/oslo.utils
* Source: http://git.openstack.org/cgit/openstack/oslo.utils
* Bugs: http://bugs.launchpad.net/oslo
Fedora Account System Username: apevec

Comment 1 Kashyap Chamarthy 2014-08-06 12:14:33 UTC
Review upcoming, meanwhile, successful koji scratch build result:

-----
$ koji build --scratch rawhide python-oslo-utils-0.1.1-1.fc22.src.rpm 
Uploading srpm: python-oslo-utils-0.1.1-1.fc22.src.rpm
[====================================] 100% 00:00:01  32.12 KiB  18.77 KiB/sec
Created task: 7247964
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7247964
Watching tasks (this may be safely interrupted)...
7247964 build (rawhide, python-oslo-utils-0.1.1-1.fc22.src.rpm): open (buildhw-09.phx2.fedoraproject.org)
  7247965 buildArch (python-oslo-utils-0.1.1-1.fc22.src.rpm, noarch): open (arm02-builder17.arm.fedoraproject.org)
  7247965 buildArch (python-oslo-utils-0.1.1-1.fc22.src.rpm, noarch): open (arm02-builder17.arm.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
7247964 build (rawhide, python-oslo-utils-0.1.1-1.fc22.src.rpm): open (buildhw-09.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

7247964 build (rawhide, python-oslo-utils-0.1.1-1.fc22.src.rpm) completed successfully
-----

Comment 2 Kashyap Chamarthy 2014-08-07 06:29:41 UTC
[Human review in-progress, fedora-review tool status here for the record.]

  $ fedora-review -m fedora-rawhide-x86_64 --rpm-spec \
      -n python-oslo-utils-0.1.1-1.fc22.src.rpm


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     2 files have unknown license. Detailed output of licensecheck in
     /home/kashyap/rpmbuild/SRPMS/python-oslo-utils/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/oslo(python-oslo-config)
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     oslo-utils-doc
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-oslo-utils-0.1.1-1.fc22.noarch.rpm
          python-oslo-utils-doc-0.1.1-1.fc22.noarch.rpm
          python-oslo-utils-0.1.1-1.fc22.src.rpm
python-oslo-utils-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-oslo-utils-doc/html/_static/jquery.js
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-oslo-utils python-oslo-utils-doc
python-oslo-utils-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-oslo-utils-doc/html/_static/jquery.js
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-oslo-utils (rpmlib, GLIBC filtered):
    python(abi)
    python-alembic
    python-babel
    python-iso8601
    python-oslo-config
    python-oslo-i18n

python-oslo-utils-doc (rpmlib, GLIBC filtered):



Provides
--------
python-oslo-utils:
    python-oslo-utils

python-oslo-utils-doc:
    python-oslo-utils-doc



Source checksums
----------------
https://pypi.python.org/packages/source/o/oslo.utils/oslo.utils-0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : ba5b4694f40fd539f4051b1374dffc20ee10fbdc1bd09b5a4ee9d9112a3ad19d
  CHECKSUM(SHA256) upstream package : ba5b4694f40fd539f4051b1374dffc20ee10fbdc1bd09b5a4ee9d9112a3ad19d

Comment 3 Kashyap Chamarthy 2014-08-07 06:58:59 UTC
===============================================
License info
------------

1. *No copyright* Apache (v2.0)
----------------------------
oslo.utils-0.1.1/tests/__init__.py
oslo.utils-0.1.1/tests/test_utils.py


2. Apache (v2.0)
-------------
oslo.utils-0.1.1/doc/source/conf.py
oslo.utils-0.1.1/oslo/__init__.py
oslo.utils-0.1.1/oslo/utils/_i18n.py
oslo.utils-0.1.1/oslo/utils/encodeutils.py
oslo.utils-0.1.1/oslo/utils/excutils.py
oslo.utils-0.1.1/oslo/utils/importutils.py
oslo.utils-0.1.1/oslo/utils/netutils.py
oslo.utils-0.1.1/oslo/utils/strutils.py
oslo.utils-0.1.1/oslo/utils/timeutils.py
oslo.utils-0.1.1/oslo/utils/units.py
oslo.utils-0.1.1/tests/base.py
oslo.utils-0.1.1/tests/fake/__init__.py
oslo.utils-0.1.1/tests/test_excutils.py
oslo.utils-0.1.1/tests/test_importutils.py
oslo.utils-0.1.1/tests/test_netutils.py
oslo.utils-0.1.1/tests/test_strutils.py
oslo.utils-0.1.1/tests/test_timeutils.py
oslo.utils-0.1.1/tests/tests_encodeutils.py

3. Unknown or generated
-----------------------
oslo.utils-0.1.1/setup.py
oslo.utils-0.1.1/tools/run_cross_tests.sh
===============================================

NOTES
------

- For point 1: The (C) notice is not required, everything is (C) by default
http://en.wikipedia.org/wiki/Copyright#Copyright_notices_in_the_United_States

- For point 3: The files are 'generated' and do contain license text.

Comment 4 Kashyap Chamarthy 2014-08-07 07:26:31 UTC
About Requiring Base Package[1], shouldn't the '%package doc section require something like (no _isa since this is noarch package)?

   Requires: %{name}= %{version}-%{release}


  [1] http://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

Comment 5 Kashyap Chamarthy 2014-08-07 08:47:57 UTC
Manual Review
=============

TL;DR: Looks good. Just one question in comment #4 about "Requiring Base
Package".

Notes from manual review:

  - ASL 2.0 License
  - Refer comment #3 for License clarification
  - -doc subpackage exists
  - %check: OpenStack tests have a lot of dependencies, current plan is
    to include them once they're sorted out.


MUST items
----------

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
      - ASL 2.0
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     2 files have unknown license. Detailed output of licensecheck in
     /home/kashyap/rpmbuild/SRPMS/python-oslo-utils/licensecheck.txt
       - Refer comment #3 for NOTES  
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/oslo(python-oslo-config)
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
      - -doc subpackage exists.
[x]: Package complies to the Packaging Guidelines

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.

egg-info for the package:
----
$ tree rpms-unpacked/python-oslo-utils-0.1.1-1.fc22.noarch.rpm/usr/lib/python2.7/site-packages/oslo.utils-0.1.1-py2.7.egg-info/
rpms-unpacked/python-oslo-utils-0.1.1-1.fc22.noarch.rpm/usr/lib/python2.7/site-packages/oslo.utils-0.1.1-py2.7.egg-info/
├── dependency_links.txt
├── namespace_packages.txt
├── not-zip-safe
├── PKG-INFO
├── SOURCES.txt
└── top_level.txt
----

[x]: Package meets the Packaging Guidelines::Python


SHOULD items
------------

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     oslo-utils-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
      - No arch package
[-]: %check is present and all tests pass.
       - The OpenStack tests have a lot of dependencies, current plan is to
         include them once the deps are sorted out.
[-]: Packages should try to preserve timestamps of original installed files.

Comment 6 Alan Pevec 2014-08-07 10:04:43 UTC
(In reply to Kashyap Chamarthy from comment #4)
> About Requiring Base Package[1], shouldn't the '%package doc section require
> something like (no _isa since this is noarch package)?
> 
>    Requires: %{name}= %{version}-%{release}

No, -doc really doesn't require anything from base package, it's optional documentation which can stand alone.
e.g. there could be a use-case to install documentation only for local browsing.

So SHOULD item is not applicable:
[-]: Fully versioned dependency in subpackages if applicable.

Comment 7 Kashyap Chamarthy 2014-08-07 10:08:47 UTC
Approved: From comments #1 (successful Koji scratch build), comment #5 (successful manual review) and clarification from comment #6 (thanks, Alan).

Comment 8 Alan Pevec 2014-08-07 12:49:08 UTC
New Package SCM Request
=======================
Package Name: python-oslo-utils
Short Description: OpenStack Oslo Utility library 
Upstream URL: http://launchpad.net/oslo
Owners: apevec
Branches: 
InitialCC:

Comment 9 Gwyn Ciesla 2014-08-07 14:25:02 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.